// RelinkCache.cc -- relink cache
// 
// Author: Ian.Piumarta@INRIA.Fr
// 
// Last edited: Fri Dec 31 16:58:11 1999 by piumarta (Ian Piumarta) on pingu


#include "RelinkCache.h"

#include <string.h>


RelinkCache RelinkCache::line[RelinkCacheSize];


void RelinkCache::initialise(void)
{
  assert((sizeof(RelinkCache) & (sizeof(RelinkCache) - 1)) == 0);
  assert((RelinkCacheSize & RelinkCacheMask) == 0);
  memset((void *)line, 0, sizeof(RelinkCache) * RelinkCacheSize);
}
